kdialog.h
/* This file is part of the KDE Libraries
* Copyright (C) 1998 Thomas Tanghus (tanghus@earthling.net)
* Additions 1999-2000 by Espen Sand (espen@kde.org)
*
* This library is free software; you can redistribute it and/or
* modify it under the terms of the GNU Library General Public
* License as published by the Free Software Foundation; either
* version 2 of the License, or (at your option) any later version.
*
* This library is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
* Library General Public License for more details.
*
* You should have received a copy of the GNU Library General Public License
* along with this library; see the file COPYING.LIB. If not, write to
* the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
* Boston, MA 02110-1301, USA.
*/
#ifndef _KDIALOG_H_
#define _KDIALOG_H_
class QLayoutItem;
#include <qdialog.h>
#include <kdelibs_export.h>
class KDEUI_EXPORT KDialog : public QDialog
{
Q_OBJECT
public:
KDialog(QWidget *parent = 0, const char *name = 0,
bool modal = false, WFlags f = 0);
static int marginHint();
static int spacingHint();
static void resizeLayout( QWidget *widget, int margin, int spacing );
static void resizeLayout( QLayoutItem *lay, int margin, int spacing );
static void centerOnScreen( QWidget *widget, int screen = -1 );
static bool avoidArea( QWidget *widget, const QRect& area, int screen = -1 );
public slots:
virtual void polish();
virtual void setCaption( const QString &caption );
virtual void setPlainCaption( const QString &caption );
protected:
virtual void keyPressEvent(QKeyEvent*);
signals:
void layoutHintChanged();
private:
static const int mMarginSize;
static const int mSpacingSize;
protected:
virtual void virtual_hook( int id, void* data );
private:
class KDialogPrivate;
KDialogPrivate* const d;
};
class KDialogQueuePrivate;
class KDEUI_EXPORT KDialogQueue : public QObject
{
Q_OBJECT
public:
static void queueDialog(QDialog *);
~KDialogQueue();
protected:
KDialogQueue();
static KDialogQueue *self();
private slots:
void slotShowQueuedDialog();
protected:
KDialogQueuePrivate* const d;
static KDialogQueue *_self;
};
#endif // __KDIALOG_H
KDialog
Dialog with extended non-modal support and methods for KDE standard compliance.
Definition: kdialog.h:52

KDE Home | KDE Accessibility Home | Description of Access Keys